This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 491539 - Firefox forcibly resets the plugin for video/x-flv
Firefox forcibly resets the plugin for video/x-flv
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-22 16:18 EDT by Bruno Wolff III
Modified: 2010-06-28 16:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 16:05:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Requested file (92.66 KB, application/rdf+xml)
2009-11-27 13:16 EST, Bruno Wolff III
no flags Details

  None (edit)
Description Bruno Wolff III 2009-03-22 16:18:34 EDT
Description of problem:
I change the action for video/x-flv to save file but upon re-entering preferences find it has been changed back to the default (use movie player).

Version-Release number of selected component (if applicable):
firefox-3.1-0.7.beta2.fc11.i586

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2009-04-08 04:18:43 EDT
Could you try with the latest firefox-3.1-0.11.beta3.fc11.x86_64, please? Works for me here.
Comment 2 Bruno Wolff III 2009-04-08 15:32:04 EDT
It is working correctly now on my work machine. I'll double check my home machine tonight and close the bug if its OK there as well.
Comment 3 Bruno Wolff III 2009-05-03 12:25:11 EDT
The behavior is back with firefox-3.5-0.20.beta4.fc11.i586.
Comment 4 Matěj Cepl 2009-05-04 12:34:31 EDT
(In reply to comment #3)
> The behavior is back with firefox-3.5-0.20.beta4.fc11.i586.  

Still cannot reproduce even with firefox-3.5-0.20.beta4.fc11.x86_64

Any more thoughts on how to reproduce this?
Comment 5 Bruno Wolff III 2009-05-04 13:32:40 EDT
I am not seeing this on my work machine, so there is something other than the firefox version involved.
Maybe there is another package involved. I think I uninstalled some stuff at work that may be still installed at home. I'll look into this some more and report back.
Comment 6 Bug Zapper 2009-06-09 08:29:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Chris Campbell 2009-11-26 22:49:45 EST
Bruno, I'm just sending this as a ping to remind you that you still have this bug open. Are there any updates to this?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Bruno Wolff III 2009-11-27 10:46:47 EST
I am still seeing this with the rawhide version of firefox. I change the setting to save file and when I re-enter the the preference menu it has been changed back to use movie player.
Comment 9 Matěj Cepl 2009-11-27 11:47:05 EST
Are you able to reproduce this in safe mode (-safe-mode parameter on the command line)?

If yes, could we get attached ~/.mozilla/firefox/*/mimeTypes.rdf please?

Thank you
Comment 10 Bruno Wolff III 2009-11-27 13:16:10 EST
Created attachment 374286 [details]
Requested file

I still see this in safe mode.
Since I restarted firefox I can accurately state which version I was running:
firefox-3.6.1-0.4.b3.fc13.i686
Comment 11 Matěj Cepl 2010-01-15 06:11:27 EST
Your mimeType.rdf seems incredibly huge and possibly corrupted. Could you make two tests for me?

a) quit firefox, move mimeType.rdf somewhere else so Firefox won't find it, restart firefox,
b) the same but instead of just one file, move whole ~/.mozilla directory, somewhere else

Are you able to reproduce your problem even under these conditions?

Thank you for helping us to make Fedora better
Comment 12 Matěj Cepl 2010-02-26 07:25:49 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 13 Bug Zapper 2010-03-15 08:29:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Jeff Raber 2010-05-05 03:18:20 EDT
Bruno, Any update?  Is this resolved?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 15 Bruno Wolff III 2010-05-05 03:34:58 EDT
I just double checked one machine and it looks like save to file is sticking now. I'll double check at work tomorrow and if it seems fixed there too, I'll close this.
Comment 16 Bruno Wolff III 2010-05-05 13:48:22 EDT
I am currently still seeing the problem on my work machine.
Possibly it is triggered by having some package installed. I'll see if I can track down which one it might be.
Comment 17 Jeff Raber 2010-06-24 00:47:41 EDT
Bruno, Any update?
-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 18 Bruno Wolff III 2010-06-28 16:05:26 EDT
I tested this with a clean .mozilla directory and I can set video/x-flv to be save file and have it stay that way. So it looks like some sort of corrupted data in .mozilla. (My old .mozilla data still exhibits the bug.)
I'll need to be careful how I clean things up, but I don't think this is an issue with the current firefox, so I am closing the bug.
Thanks for the suggestion of testing with a clean .mozilla dir.

Note You need to log in before you can comment on or make changes to this bug.